import { PostGraphileOptions } from 'postgraphile';
import { GraphQLSchema, ExecutionResult } from 'graphql';
import { Pool } from 'pg';
interface GraphileSettings extends PostGraphileOptions {
    schema: string | string[];
}
export declare const getSchema: (pool: Pool, settings: GraphileSettings) => Promise<GraphQLSchema>;
interface GraphileQueryParams {
    schema: GraphQLSchema;
    pool: Pool;
    settings: GraphileSettings;
}
interface QueryOptions {
    req?: any;
    query: string;
    variables?: Record<string, any>;
    role?: string;
}
export declare class GraphileQuery {
    private pool;
    private schema;
    private settings;
    constructor({ schema, pool, settings }: GraphileQueryParams);
    query({ req, query, variables, role }: QueryOptions): Promise<ExecutionResult>;
}
interface GraphileQuerySimpleParams {
    schema: GraphQLSchema;
    pool: Pool;
}
export declare class GraphileQuerySimple {
    private pool;
    private schema;
    constructor({ schema, pool }: GraphileQuerySimpleParams);
    query(query: string, variables?: Record<string, any>): Promise<ExecutionResult>;
}
export {};
